Bug 1340606 - dracut-initqueue: Warning: failed to fetch kickstart from nfs:10.200.203.254://home/iserver/kickstart/image/kickstart.conf
Summary: dracut-initqueue: Warning: failed to fetch kickstart from nfs:10.200.203.254:...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut
Version: 7.2
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-28 17:06 UTC by Gopi
Modified: 2019-11-14 08:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-22 11:56:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gopi 2016-05-28 17:06:00 UTC
Description of problem:

PXE boot is failing with the below error.

dracut-initqueue[882]: Warning: failed to fetch kickstart from nfs:10.200.203.254://home/iserver/kickstart/image/kickstart.conf

Version-Release number of selected component (if applicable):
RHEL 7.2

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
Kickstart installation failed to fetch the KS file.

Expected results:
Kickstart Installation should go fine.

Additional info:

1. iptables are stopped
2. Selinux is disabled
3. tried manual mounting at the dracut prompt, it worked. Able to read the KS file.

Log:
-----------------
[   77.065933] Key type id_legacy registered
[   59.219571] dracut-initqueue[882]: mount.nfs: requested NFS version or transport protocol is not supported
[   59.226236] dracut-initqueue[882]: cp: cannot stat '/run/nfs_mnt0/kickstart.conf': No such file or directory
[   59.226680] dracut-initqueue[882]: Warning: failed to fetch kickstart from nfs:10.200.203.254://home/iserver/kickstart/image/kickstart.conf
[  184.811621] dracut-initqueue[882]: Warning: dracut-initqueue timeout - starting timeout scripts
[  185.343983] dracut-initqueue[882]: Warning: dracut-initqueue timeout - starting timeout scripts
------------------

Let me know any logs are required.

Comment 2 Jan Stodola 2016-05-30 08:30:20 UTC
Please, boot with the "rd.debug" boot option and attach /run/initramfs/rdsosreport.txt. Thanks

Comment 3 Gopi 2016-05-30 15:34:59 UTC
Added nfsver=4 in pxe file. And it worked.

Comment 4 Harald Hoyer 2016-07-22 11:56:49 UTC
maybe
nfs4:10.200.203.254://home/iserver/kickstart/image/kickstart.conf
instead of
nfs:10.200.203.254://home/iserver/kickstart/image/kickstart.conf


Note You need to log in before you can comment on or make changes to this bug.